from odoo import models, fields, _


class JobSettings(models.Model):
    _name = 'job.settings'

    name = fields.Char(required=True)
    not_defined = fields.Boolean(default=False)
    active = fields.Boolean(default=True)

    _sql_constraints = [
        (
            'uniq_name',
            'UNIQUE( name )',
            _('This job already exists!')
        )
    ]
    